Get dataset environments, objects, actions
curl --request GET \
--url https://api.hebbianrobotics.com/api/v1beta/quality/vocabulary \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hebbianrobotics.com/api/v1beta/quality/vocabulary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hebbianrobotics.com/api/v1beta/quality/vocabulary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));false{
"coverage_share": 0.5,
"dataset": "<string>",
"sections": [
{
"distinct_kinds": 1,
"distinct_terms": 1,
"effective_distinct_terms": 1,
"section": "<string>",
"size_adjusted_distinct_terms": 1,
"terms": [
{
"kind": "<string>",
"spellings": [
"<string>"
],
"term": "<string>",
"tier": "<string>"
}
],
"tiers": [
{
"distinct_terms": 1,
"example_terms": [
"<string>"
],
"label": "<string>",
"representation_share": 0.5,
"tier": "<string>"
}
],
"untiered_terms": [
"<string>"
]
}
],
"vocabulary": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}quality
Get dataset environments, objects, actions
Returns published terms, their tiers and categories, and diversity metrics.
Use section to request one vocabulary section.
GET
/
api
/
v1beta
/
quality
/
vocabulary
Get dataset environments, objects, actions
curl --request GET \
--url https://api.hebbianrobotics.com/api/v1beta/quality/vocabulary \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hebbianrobotics.com/api/v1beta/quality/vocabulary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hebbianrobotics.com/api/v1beta/quality/vocabulary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));false{
"coverage_share": 0.5,
"dataset": "<string>",
"sections": [
{
"distinct_kinds": 1,
"distinct_terms": 1,
"effective_distinct_terms": 1,
"section": "<string>",
"size_adjusted_distinct_terms": 1,
"terms": [
{
"kind": "<string>",
"spellings": [
"<string>"
],
"term": "<string>",
"tier": "<string>"
}
],
"tiers": [
{
"distinct_terms": 1,
"example_terms": [
"<string>"
],
"label": "<string>",
"representation_share": 0.5,
"tier": "<string>"
}
],
"untiered_terms": [
"<string>"
]
}
],
"vocabulary": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Authorizations
Bearer access token issued through OAuth 2.0 client credentials.
Query Parameters
Dataset ID from GET /api/v1beta/quality/datasets.
Opaque vocabulary token from an earlier response. Omit to use the
latest vocabulary.
Return only environments, objects, or actions.
Available options:
environments, objects, actions Response
Published vocabulary by section
Published dataset vocabulary and measurement completeness.
Measurement completeness in [0, 1]. null when a reliable
denominator is unavailable.
Required range:
0 <= x <= 1Dataset ID used in the request.
Show child attributes
Show child attributes
Opaque vocabulary token. Matching tokens identify results from the same vocabulary measurement.
⌘I
